Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class BuildResultsAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.AbstractBuildAction
                      com.atlassian.bamboo.build.BuildResultsAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, BuildResultsAware, ReturnUrlAware

Direct Known Subclasses:
  EditCommentAction, GotoBuildResult, ViewBuildResults, ViewBuildResultsSuccessfulTests, ViewBuildResultsTests

    public class BuildResultsAction

extends AbstractBuildAction
implements BuildResultsAware

Field Summary
`protected String` | `buildNumber`
`protected BuildResults` | `buildResults`
`protected BuildResultsSummaryManager` | `buildResultsSummaryManager`
`protected TestResultDecorator` | `decorator`
`protected ExtendedAuthorManager` | `extendedAuthorManager`
`protected TestResultManager` | `testResultManager`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`BuildResultsAction()`

Method Summary
`String` | `doExecute()` Places the current user on the page
`protected String` | `errorMessage(Build build)`
`String` | `getBuildNumber()`
`BuildResults` | `getBuildResults()` Let the UI have the build results instance.
`protected BuildResults` | `getBuildResultsFromContainer(Build build, int currentBuildNumber)`
`ExtendedAuthorManager` | `getExtendedAuthorManager()`
`BuildResults` | `getFailingSinceForTest(BuildResults buildResults, TestResults testResults)`
`String` | `getFailingSinceRelativeTime(BuildResultsSummary failingSinceSummary, BuildResults buildResults)`
`String` | `getFailingSinceRelativeTime(BuildResults buildResults, TestResults testResults)`
`List` | `getNeighbouringSummaries()`
`PluginManager` | `getPluginManager()`
`List` | `getPluginMenuItems()`
`Map` | `getResponsibleAuthorExistingFailures()`
`TestResultDecorator` | `getSuccessfulTests()`
`TestResultManager` | `getTestResultManager()`
`boolean` | `isSortByDuration()`
`void` | `setBuildNumber(String buildNumber)` Which build results are we interested in?
`void` | `setBuildResults(BuildResults buildResults)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setPluginManager(PluginManager pluginManager)`
`void` | `setSortByDuration(boolean b)`
`void` | `setTestResultManager(TestResultManager testResultManager)`

Methods inherited from class com.atlassian.bamboo.build.AbstractBuildAction
`getBuild, getBuildKey, getBuildName, getCurrentlyRunningBuild, setBuild, setBuildKey, setBuildName`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration, validate`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### buildNumber

    protected String buildNumber

### buildResults

    protected BuildResults buildResults

### decorator

    protected TestResultDecorator decorator

### testResultManager

    protected TestResultManager testResultManager

### buildResultsSummaryManager

    protected BuildResultsSummaryManager buildResultsSummaryManager

### extendedAuthorManager

    protected ExtendedAuthorManager extendedAuthorManager

Constructor Detail

### BuildResultsAction

    public BuildResultsAction()

Method Detail

### getPluginManager

    public PluginManager getPluginManager()

  Overrides:
    `getPluginManager` in class `AbstractBuildAction`

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

  Overrides:
    `setPluginManager` in class `AbstractBuildAction`

### getPluginMenuItems

    public List getPluginMenuItems()

  Overrides:
    `getPluginMenuItems` in class `AbstractBuildAction`

### setBuildNumber

    public void setBuildNumber(String buildNumber)

  Which build results are we interested in?

  Parameters:
    `buildNumber` - The number of the build we want to display

### getBuildNumber

    public String getBuildNumber()

### getBuildResults

    public BuildResults getBuildResults()

  Let the UI have the build results instance.

  Specified by:
    `getBuildResults` in interface `BuildResultsAware`
  Returns:
    The build results

### setBuildResults

    public void setBuildResults(BuildResults buildResults)

  Specified by:
    `setBuildResults` in interface `BuildResultsAware`

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractAction`
  Places the current user on the page

  Overrides:
    `doExecute` in class `AbstractAction`
  Returns:
    webwork success status
  Throws:
    `Exception` - something nasty went wrong

### isSortByDuration

    public boolean isSortByDuration()

### setSortByDuration

    public void setSortByDuration(boolean b)

### getSuccessfulTests

    public TestResultDecorator getSuccessfulTests()

### getBuildResultsFromContainer

    protected BuildResults getBuildResultsFromContainer(Build build,
                                                        int currentBuildNumber)

### getFailingSinceForTest

    public BuildResults getFailingSinceForTest(BuildResults buildResults,
                                               TestResults testResults)

### getFailingSinceRelativeTime

    public String getFailingSinceRelativeTime(BuildResults buildResults,
                                              TestResults testResults)

### getFailingSinceRelativeTime

    public String getFailingSinceRelativeTime(BuildResultsSummary failingSinceSummary,
                                              BuildResults buildResults)

### getResponsibleAuthorExistingFailures

    public Map getResponsibleAuthorExistingFailures()

### errorMessage

    protected String errorMessage(Build build)

### getNeighbouringSummaries

    public List getNeighbouringSummaries()

### getTestResultManager

    public TestResultManager getTestResultManager()

### setTestResultManager

    public void setTestResultManager(TestResultManager testResultManager)

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

### getExtendedAuthorManager

    public ExtendedAuthorManager getExtendedAuthorManager()

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.